commit 00c2c63415636e5f373e54c27f59adc6737c1496
Author: HarryHeres <harryjeta@seznam.cz>
Date:   Fri Mar 3 10:37:02 2023 +0100

    Updated internal documentation

diff --git a/doc/internal/assets/jira_workflow.png b/doc/internal/assets/jira_workflow.png
new file mode 100644
index 000000000..6413095cf
Binary files /dev/null and b/doc/internal/assets/jira_workflow.png differ
diff --git a/doc/internal/doc.pdf b/doc/internal/doc.pdf
index 9a7d0419b..621b1df21 100644
Binary files a/doc/internal/doc.pdf and b/doc/internal/doc.pdf differ
diff --git a/doc/internal/doc.tex b/doc/internal/doc.tex
index 66f6099ee..599d1cb86 100644
--- a/doc/internal/doc.tex
+++ b/doc/internal/doc.tex
@@ -104,18 +104,25 @@ Pravidla pro vytváření těchto úkolů:
 \begin{itemize}
     \item Backlog - analogie s TODO
     \item In progress
-    \item To deploy - funkcionalita implementována, nicméně je nutné funkční verzi \textit{deploynout} na testovací prostředí k umožnění testování
     \item To test (dev) and review - testování \textbf{vždy provádí jiný vývojář/tester!} a v rámci samotného testování proběhne i krátké \textbf{code review}
-    \item To be merged - končí schválením merge requestu do \textbf{masteru}
-    \item To test (master) - ověření funkcionality i na produkčním prostředí
-    \item Closed
+    \item Code review - rychlá kontrola kódu 
+    \item To deploy (dev) - funkcionalita implementována, nicméně je nutné funkční verzi \textit{deploynout} na testovací prostředí k umožnění testování
+    \item To test (prod) - otestování na produkčním prostředí
+    \item To deploy (prod) - končí schválením merge requestu do \textbf{masteru}
+    \item Done - Issue hotova, uzavřena 
 \end{itemize}
 
+\paragraph{} Poznámka: Ze stavu ,,To deploy (dev)'' lze přejít do stavu ,,Done'', pokud není žádoucí ovlivňovat produkční prostředí (zejména pro malé změny, které budou součástí větší úpravy). 
+
+
 \paragraph{Typy issues}
 \begin{itemize}
-    \item Feature,
-    \item Bug,
-    \item Change request.
+    \item Epic - velký logický blok, který obaluje novou funkcionalitu nebo velké množství úprav
+    \item Feature - nová funkcionalita (zejména front-endové změny)
+    \item Ticket - jakýkoliv další úkol, který implicitně není novou funkcionalitou, spíše například vytvoření obsáhlejší dokumentace, případně nových tříd či struktur
+    \item Task - základní úkol (ideálně atomický); využití na rozdělení ticketu do menších podúkolů
+    \item Bug - Chyba, kterou je nutno opravit
+    \item Change request - vyžádaná změna od zákazníka/uživatele, která byla již dříve implementována 
 \end{itemize}
 
 \paragraph{Typy priority/urgentnosti}
@@ -126,11 +133,20 @@ Pravidla pro vytváření těchto úkolů:
     \item \textbf{Severe} - maximální důležitost - vyžaduje okamžité řešení (například v případech, kdy tyto problémy způsobují nestabilitu či přímo rozbíjí produkční prostředí)
 \end{itemize}
 
-\paragraph{} V rámci jakýchkoliv úkolů \textbf{není potřeba} vést časové údaje a odhady. Tato činnost bude probíhat v systému \textbf{TBD}.
+\paragraph{} V rámci jakýchkoliv úkolů \textbf{není potřeba} vést časové údaje a odhady. Tato činnost bude probíhat v systému \textbf{Jira}.
+
 
+\section{Aplikace pro řízení projektů - Jira}
+\paragraph{} Pro účely předmětu ASWI bylo schváleno garantem předmětu doc.Ing. Přemyslem Bradou, MsC., Ph.D. a vedoucími projektu použití nástroje \textbf{Jira} pro správu vývoje a projektu.
+Pro sjednocení vývojového procesu byl vytvořen následující projektový workflow:
+
+\begin{figure}
+    \centering
+    \includegraphics[width=\linewidth]{assets/jira_workflow.png}
+    \caption{Projektový workflow v systému Jira}
+\end{figure}
 
-\section{Aplikace pro řízení projektů - TBD}
-\paragraph{} WIP
+\paragraph{} Poznámka: Je tedy zřejmé, že tento workflow přesně koreluje s navrženou stukturou repozitáře projektu.
 
 
 % \cite{Example}