commit 10940e9ec6c1f5881bc943cbc26d5704e205b584
Author: HarryHeres <harryjeta@seznam.cz>
Date:   Mon Mar 6 19:32:17 2023 +0100

    Updated LaTeX template and created the Development plan

diff --git a/doc/aswi/plan_iteraci/assets/logo.png b/doc/aswi/plan_iteraci/assets/logo.png
new file mode 100644
index 000000000..e0be47f39
Binary files /dev/null and b/doc/aswi/plan_iteraci/assets/logo.png differ
diff --git a/doc/aswi/plan_iteraci/doc.pdf b/doc/aswi/plan_iteraci/doc.pdf
new file mode 100644
index 000000000..1da12bd82
Binary files /dev/null and b/doc/aswi/plan_iteraci/doc.pdf differ
diff --git a/doc/aswi/plan_iteraci/doc.tex b/doc/aswi/plan_iteraci/doc.tex
new file mode 100644
index 000000000..6aba13186
--- /dev/null
+++ b/doc/aswi/plan_iteraci/doc.tex
@@ -0,0 +1,141 @@
+\documentclass[12pt, a4paper]{article}
+
+
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+%%-----------------------VYUŽITÉ PACKAGES----------------------------%%
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\usepackage[czech]{babel}
+\usepackage{geometry}
+\usepackage[final]{graphicx}
+\usepackage{anyfontsize}
+\usepackage{setspace}
+\usepackage{hyperref}
+\usepackage[T1]{fontenc}
+\usepackage{subcaption}
+\usepackage{listings}
+\usepackage{color}
+\hypersetup{
+    colorlinks,
+    citecolor=black,
+    filecolor=black,
+    linkcolor=black,
+    urlcolor=black
+}
+
+% Code Snippets %
+\definecolor{dkgreen}{rgb}{0,0.6,0}
+\definecolor{gray}{rgb}{0.5,0.5,0.5}
+\definecolor{mauve}{rgb}{0.58,0,0.82}
+
+\lstset{frame=tb,
+  language=Java,
+  aboveskip=3mm,
+  belowskip=3mm,
+  showstringspaces=false,
+  columns=flexible,
+  basicstyle={\small\ttfamily},
+  numbers=none,
+  numberstyle=\tiny\color{gray},
+  keywordstyle=\color{blue},
+  commentstyle=\color{dkgreen},
+  stringstyle=\color{mauve},
+  breaklines=true,
+  breakatwhitespace=true,
+  tabsize=3
+}
+
+
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+%%-----------------------ZAČÁTEK VLASTNÍHO TEXTU---------------------------%%
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\begin{document}
+
+\begin{titlepage}
+\title{
+\vspace{-4cm}\hspace{-10cm}
+\includegraphics[width=8cm]{assets/logo.png} \\
+\vspace{5cm}
+\begingroup
+\setstretch{4}\fontsize{30}{10}\selectfont\fontdimen2\font=0.8ex
+\parbox{13.3cm}{
+    \centering{\textbf{ASWI - Neurorehablitační systém BrainIn}\\
+    \fontsize{24}{10}\selectfont\centering{{Plán vývoje}}
+}}
+\endgroup}
+\date{}
+\author{}
+\maketitle \thispagestyle{empty}
+\vspace{3cm}
+\hspace{0cm}\parbox[b][5cm][b]{8cm}{{\setstretch{1.5}
+Autor: Bc. Jan Hereš\\
+Datum: 06.03.2023\\
+Poslední úprava: \today\\}}
+\end{titlepage}
+\newpage
+
+
+\tableofcontents
+\newpage
+
+\section{Preambule}
+\paragraph{} Plán iterace se vždy odvíjí od nejnovější verze dokumentu ,,Specifikace požadavků''.
+Každá iterace je v základu plánována na \textbf{dva týdny}.  
+
+\paragraph{1. Iterace (23.02. - 10.03)}
+\begin{itemize}
+  \item Úvodní schůzka s mentorem
+  \item První verze dokumentu ,,Specifikace požadavků''
+  \item První verze dokumentu ,,Interní směrnice''
+  \item Analýza závěrečné zprávy týmu KIV/SAR
+  \item Připravení nástroje na správu projektového vývoje
+\end{itemize}
+
+\paragraph{2. Iterace (10.03. - 23.03)}
+\begin{itemize}
+  \item Finalizace dokumentu ,,Specifikace požadavků''
+  \item Návrh a počáteční implementace přechodu na novou verzi Unity platformy
+  \item Počátek tvorby projektové dokumentace
+\end{itemize}
+
+\paragraph{3. Iterace (23.03 - 07.04)}
+\begin{itemize}
+  \item Otestování aplikace na nové platformě
+  \item Finalizace a nasazení nové verze na testovací prostředí
+  \item Finalizace zavedení nových vývojových procesů
+\end{itemize}
+
+\paragraph{4. Iterace (07.04 - 21.04.)}
+\begin{itemize}
+  \item Analýza a návrh řešení dalších případných výkonostních problémů
+  \item Analýza a návrh řešení problému webové části aplikace - \textit{HTTP 504: Gateway timeout}
+  \item Průběžná verze dokumentace projektu
+\end{itemize}
+
+\paragraph{5. Iterace (21.04. - 05.05.)}
+\begin{itemize}
+  \item Testování a finalizace implementovaných řešení
+  \item Finalizace projektové dokumentace
+\end{itemize}
+
+\paragraph{6. Iterace (05.05. - 19.05.)}
+\begin{itemize}
+  \item Vytvoření finální release verze
+  \item Předání aplikace se všemi dostupnými artefakty
+  \item Vytvoření a podepsání předávacího protokolu
+\end{itemize}
+
+
+
+% \cite{Example}
+
+
+% \clearpage
+% \section{Závěr}
+
+% \newpage
+% \bibliographystyle{unsrt}
+% {\raggedright\small
+% \bibliography{literatura}
+% }
+
+\end{document}
\ No newline at end of file
diff --git a/doc/aswi/plan_iteraci/literatura.bib b/doc/aswi/plan_iteraci/literatura.bib
new file mode 100644
index 000000000..fb12e673a
--- /dev/null
+++ b/doc/aswi/plan_iteraci/literatura.bib
@@ -0,0 +1,7 @@
+@misc{Example,
+    author = {Autor},
+    key = {},
+    title = {Název},
+    year = {2022},
+    howpublished = "Dostupné na \url{google.com}"
+}
\ No newline at end of file
diff --git a/doc/template/doc.tex b/doc/template/doc.tex
index bb25dffc9..963477498 100644
--- a/doc/template/doc.tex
+++ b/doc/template/doc.tex
@@ -12,6 +12,8 @@
 \usepackage{hyperref}
 \usepackage[T1]{fontenc}
 \usepackage{subcaption}
+\usepackage{listings}
+\usepackage{color}
 \hypersetup{
     colorlinks,
     citecolor=black,
@@ -20,6 +22,29 @@
     urlcolor=black
 }
 
+% Code Snippets %
+\definecolor{dkgreen}{rgb}{0,0.6,0}
+\definecolor{gray}{rgb}{0.5,0.5,0.5}
+\definecolor{mauve}{rgb}{0.58,0,0.82}
+
+\lstset{frame=tb,
+  language=Java,
+  aboveskip=3mm,
+  belowskip=3mm,
+  showstringspaces=false,
+  columns=flexible,
+  basicstyle={\small\ttfamily},
+  numbers=none,
+  numberstyle=\tiny\color{gray},
+  keywordstyle=\color{blue},
+  commentstyle=\color{dkgreen},
+  stringstyle=\color{mauve},
+  breaklines=true,
+  breakatwhitespace=true,
+  tabsize=3
+}
+
+
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 %%-----------------------ZAČÁTEK VLASTNÍHO TEXTU---------------------------%%
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%