commit 142177ed1fdce0d73f80bdb062c4dcdc6bffefb5
Author: HarryHeres <harryjeta@seznam.cz>
Date:   Wed Apr 5 23:10:27 2023 +0200

    Added document "Vize produktu"

diff --git a/doc/aswi/retrospektiva/iterace_1/assets/logo.png b/doc/aswi/retrospektiva/iterace_1/assets/logo.png
deleted file mode 100644
index e0be47f39..000000000
Binary files a/doc/aswi/retrospektiva/iterace_1/assets/logo.png and /dev/null differ
diff --git a/doc/aswi/retrospektiva/iterace_1/doc.pdf b/doc/aswi/retrospektiva/iterace_1/doc.pdf
deleted file mode 100644
index 28e83d5ee..000000000
Binary files a/doc/aswi/retrospektiva/iterace_1/doc.pdf and /dev/null differ
diff --git a/doc/aswi/retrospektiva/iterace_1/doc.tex b/doc/aswi/retrospektiva/iterace_1/doc.tex
deleted file mode 100644
index 145c29374..000000000
--- a/doc/aswi/retrospektiva/iterace_1/doc.tex
+++ /dev/null
@@ -1,131 +0,0 @@
-\documentclass[12pt, a4paper]{article}
-
-
-%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-%%-----------------------VYUŽITÉ PACKAGES----------------------------%%
-%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\usepackage[czech]{babel}
-\usepackage{geometry}
-\usepackage[final]{graphicx}
-\usepackage{anyfontsize}
-\usepackage{setspace}
-\usepackage{hyperref}
-\usepackage[T1]{fontenc}
-\usepackage{subcaption}
-\usepackage{listings}
-\usepackage{color}
-\hypersetup{
-    colorlinks,
-    citecolor=black,
-    filecolor=black,
-    linkcolor=black,
-    urlcolor=black
-}
-
-% Code Snippets %
-\definecolor{dkgreen}{rgb}{0,0.6,0}
-\definecolor{gray}{rgb}{0.5,0.5,0.5}
-\definecolor{mauve}{rgb}{0.58,0,0.82}
-
-\lstset{frame=tb,
-  language=Java,
-  aboveskip=3mm,
-  belowskip=3mm,
-  showstringspaces=false,
-  columns=flexible,
-  basicstyle={\small\ttfamily},
-  numbers=none,
-  numberstyle=\tiny\color{gray},
-  keywordstyle=\color{blue},
-  commentstyle=\color{dkgreen},
-  stringstyle=\color{mauve},
-  breaklines=true,
-  breakatwhitespace=true,
-  tabsize=3
-}
-
-
-%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-%%-----------------------ZAČÁTEK VLASTNÍHO TEXTU---------------------------%%
-%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\begin{document}
-
-\begin{titlepage}
-  \title{
-    \vspace{-4cm}\hspace{-10cm}
-    \includegraphics[width=8cm]{assets/logo.png} \\
-    \vspace{5cm}
-    \begingroup
-    \setstretch{4}\fontsize{30}{10}\selectfont\fontdimen2\font=0.8ex
-    \parbox{13.3cm}{
-      \centering{\textbf{ASWI - Neurorehablitační systém BrainIn}\\
-        \fontsize{24}{10}\selectfont\centering{{Šablona pro retrospektivy}}
-      }}
-    \endgroup}
-  \date{}
-  \author{}
-  \maketitle \thispagestyle{empty}
-  \vspace{3cm}
-  \hspace{0cm}\parbox[b][5cm][b]{8cm}{{\setstretch{1.5}
-        Autor: Bc. Jan Hereš\\
-        Datum: 15.03.2023\\
-        Poslední úprava: \today\\}}
-\end{titlepage}
-\newpage
-
-
-\tableofcontents
-\newpage
-
-\section{Body retrospektivy}
-
-\subsection{Stav a dosavadní vývoj projektu}
-\paragraph{} V rámci tohoto bodu proberte následující body:
-\begin{itemize}
-  \item \textbf{Dosažené cíle a milníky} - diskutujte, zda-li jste dosáhli všech plánovaných cílů či milníků
-  \item \textbf{Fungování týmu} - nastaly nějaké problémy v rámci týmu?
-\end{itemize}
-
-\subsection{Ukončená iterace}
-\begin{itemize}
-  \item \textbf{Retrospektiva} - shrňte co všechno se v iteraci stihlo, co naopak nabralo zpoždění, zaznamenejte všechhny vlivy, které chcete do příští iteraace adresovat
-  \item \textbf{Feedback} - zanalyzujte, jaký vliv měly zavedené změny na základě předchozích iterací
-\end{itemize}
-
-\subsection{Následující iterace}
-\paragraph{} V rámci tohoto bodu proberte následující body:
-\begin{itemize}
-  \item \textbf{Naplánování} - je potřeba upravit plán následující iterace? Pokud ano, shrňte vše, co je potřeba do další iterace zařadit, včetně různých úprav i mimo samotné issues
-  \item Definujte, jakým způsobem chcete reagovat na problémy se zpožděním projektu
-  \item Definujte, jaké máte předpoklady v rámci následující iterace
-\end{itemize}
-
-\subsection{Nástroje}
-\paragraph{} V rámci tohoto bodu zjistěte, zda-li je potřeba udělat nějaké změny ve využívaných nástrojích:
-\begin{itemize}
-  \item \textbf{ALM (Jira)} - Je potřeba nějakých úprav/změn?
-  \item \textbf{VCS (Gitlab)} - Je potřeba nějakých úprav/změn?
-  \item \textbf{Další nástroje} - Nějaké nápady, potřeby, připomínky? Sem se mohou řadit i vývojové nástroje/potřeby
-\end{itemize}
-
-
-
-\subsection{Ostatní body k diskuzi}
-\paragraph{} V rámci tohoto bodu můžete vznést jakékoliv návrhy/otázky vůči všem ostatním záležitostem, jako například:
-\begin{itemize}
-  \item Vnější problémy - zákazník, mentor, proces vývoje
-\end{itemize}
-
-% \cite{Example}
-
-
-% \clearpage
-% \section{Závěr}
-
-% \newpage
-% \bibliographystyle{unsrt}
-% {\raggedright\small
-% \bibliography{literatura}
-% }
-
-\end{document}
\ No newline at end of file
diff --git a/doc/aswi/retrospektiva/iterace_1/literatura.bib b/doc/aswi/retrospektiva/iterace_1/literatura.bib
deleted file mode 100644
index fb12e673a..000000000
--- a/doc/aswi/retrospektiva/iterace_1/literatura.bib
+++ /dev/null
@@ -1,7 +0,0 @@
-@misc{Example,
-    author = {Autor},
-    key = {},
-    title = {Název},
-    year = {2022},
-    howpublished = "Dostupné na \url{google.com}"
-}
\ No newline at end of file
diff --git a/doc/aswi/retrospektiva/template/assets/logo.png b/doc/aswi/retrospektiva/template/assets/logo.png
new file mode 100644
index 000000000..e0be47f39
Binary files /dev/null and b/doc/aswi/retrospektiva/template/assets/logo.png differ
diff --git a/doc/aswi/retrospektiva/template/doc.pdf b/doc/aswi/retrospektiva/template/doc.pdf
new file mode 100644
index 000000000..28e83d5ee
Binary files /dev/null and b/doc/aswi/retrospektiva/template/doc.pdf differ
diff --git a/doc/aswi/retrospektiva/template/doc.tex b/doc/aswi/retrospektiva/template/doc.tex
new file mode 100644
index 000000000..145c29374
--- /dev/null
+++ b/doc/aswi/retrospektiva/template/doc.tex
@@ -0,0 +1,131 @@
+\documentclass[12pt, a4paper]{article}
+
+
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+%%-----------------------VYUŽITÉ PACKAGES----------------------------%%
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\usepackage[czech]{babel}
+\usepackage{geometry}
+\usepackage[final]{graphicx}
+\usepackage{anyfontsize}
+\usepackage{setspace}
+\usepackage{hyperref}
+\usepackage[T1]{fontenc}
+\usepackage{subcaption}
+\usepackage{listings}
+\usepackage{color}
+\hypersetup{
+    colorlinks,
+    citecolor=black,
+    filecolor=black,
+    linkcolor=black,
+    urlcolor=black
+}
+
+% Code Snippets %
+\definecolor{dkgreen}{rgb}{0,0.6,0}
+\definecolor{gray}{rgb}{0.5,0.5,0.5}
+\definecolor{mauve}{rgb}{0.58,0,0.82}
+
+\lstset{frame=tb,
+  language=Java,
+  aboveskip=3mm,
+  belowskip=3mm,
+  showstringspaces=false,
+  columns=flexible,
+  basicstyle={\small\ttfamily},
+  numbers=none,
+  numberstyle=\tiny\color{gray},
+  keywordstyle=\color{blue},
+  commentstyle=\color{dkgreen},
+  stringstyle=\color{mauve},
+  breaklines=true,
+  breakatwhitespace=true,
+  tabsize=3
+}
+
+
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+%%-----------------------ZAČÁTEK VLASTNÍHO TEXTU---------------------------%%
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\begin{document}
+
+\begin{titlepage}
+  \title{
+    \vspace{-4cm}\hspace{-10cm}
+    \includegraphics[width=8cm]{assets/logo.png} \\
+    \vspace{5cm}
+    \begingroup
+    \setstretch{4}\fontsize{30}{10}\selectfont\fontdimen2\font=0.8ex
+    \parbox{13.3cm}{
+      \centering{\textbf{ASWI - Neurorehablitační systém BrainIn}\\
+        \fontsize{24}{10}\selectfont\centering{{Šablona pro retrospektivy}}
+      }}
+    \endgroup}
+  \date{}
+  \author{}
+  \maketitle \thispagestyle{empty}
+  \vspace{3cm}
+  \hspace{0cm}\parbox[b][5cm][b]{8cm}{{\setstretch{1.5}
+        Autor: Bc. Jan Hereš\\
+        Datum: 15.03.2023\\
+        Poslední úprava: \today\\}}
+\end{titlepage}
+\newpage
+
+
+\tableofcontents
+\newpage
+
+\section{Body retrospektivy}
+
+\subsection{Stav a dosavadní vývoj projektu}
+\paragraph{} V rámci tohoto bodu proberte následující body:
+\begin{itemize}
+  \item \textbf{Dosažené cíle a milníky} - diskutujte, zda-li jste dosáhli všech plánovaných cílů či milníků
+  \item \textbf{Fungování týmu} - nastaly nějaké problémy v rámci týmu?
+\end{itemize}
+
+\subsection{Ukončená iterace}
+\begin{itemize}
+  \item \textbf{Retrospektiva} - shrňte co všechno se v iteraci stihlo, co naopak nabralo zpoždění, zaznamenejte všechhny vlivy, které chcete do příští iteraace adresovat
+  \item \textbf{Feedback} - zanalyzujte, jaký vliv měly zavedené změny na základě předchozích iterací
+\end{itemize}
+
+\subsection{Následující iterace}
+\paragraph{} V rámci tohoto bodu proberte následující body:
+\begin{itemize}
+  \item \textbf{Naplánování} - je potřeba upravit plán následující iterace? Pokud ano, shrňte vše, co je potřeba do další iterace zařadit, včetně různých úprav i mimo samotné issues
+  \item Definujte, jakým způsobem chcete reagovat na problémy se zpožděním projektu
+  \item Definujte, jaké máte předpoklady v rámci následující iterace
+\end{itemize}
+
+\subsection{Nástroje}
+\paragraph{} V rámci tohoto bodu zjistěte, zda-li je potřeba udělat nějaké změny ve využívaných nástrojích:
+\begin{itemize}
+  \item \textbf{ALM (Jira)} - Je potřeba nějakých úprav/změn?
+  \item \textbf{VCS (Gitlab)} - Je potřeba nějakých úprav/změn?
+  \item \textbf{Další nástroje} - Nějaké nápady, potřeby, připomínky? Sem se mohou řadit i vývojové nástroje/potřeby
+\end{itemize}
+
+
+
+\subsection{Ostatní body k diskuzi}
+\paragraph{} V rámci tohoto bodu můžete vznést jakékoliv návrhy/otázky vůči všem ostatním záležitostem, jako například:
+\begin{itemize}
+  \item Vnější problémy - zákazník, mentor, proces vývoje
+\end{itemize}
+
+% \cite{Example}
+
+
+% \clearpage
+% \section{Závěr}
+
+% \newpage
+% \bibliographystyle{unsrt}
+% {\raggedright\small
+% \bibliography{literatura}
+% }
+
+\end{document}
\ No newline at end of file
diff --git a/doc/aswi/retrospektiva/template/literatura.bib b/doc/aswi/retrospektiva/template/literatura.bib
new file mode 100644
index 000000000..fb12e673a
--- /dev/null
+++ b/doc/aswi/retrospektiva/template/literatura.bib
@@ -0,0 +1,7 @@
+@misc{Example,
+    author = {Autor},
+    key = {},
+    title = {Název},
+    year = {2022},
+    howpublished = "Dostupné na \url{google.com}"
+}
\ No newline at end of file
diff --git a/doc/aswi/vize_produktu/assets/logo.png b/doc/aswi/vize_produktu/assets/logo.png
new file mode 100644
index 000000000..e0be47f39
Binary files /dev/null and b/doc/aswi/vize_produktu/assets/logo.png differ
diff --git a/doc/aswi/vize_produktu/doc.pdf b/doc/aswi/vize_produktu/doc.pdf
new file mode 100644
index 000000000..4912eba23
Binary files /dev/null and b/doc/aswi/vize_produktu/doc.pdf differ
diff --git a/doc/aswi/vize_produktu/doc.tex b/doc/aswi/vize_produktu/doc.tex
new file mode 100644
index 000000000..7dd090168
--- /dev/null
+++ b/doc/aswi/vize_produktu/doc.tex
@@ -0,0 +1,153 @@
+\documentclass[12pt, a4paper]{article}
+
+
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+%%-----------------------VYUŽITÉ PACKAGES----------------------------%%
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\usepackage[czech]{babel}
+\usepackage{geometry}
+\usepackage[final]{graphicx}
+\usepackage{anyfontsize}
+\usepackage{setspace}
+\usepackage{hyperref}
+\usepackage[T1]{fontenc}
+\usepackage{subcaption}
+\usepackage{listings}
+\usepackage{color}
+\hypersetup{
+    colorlinks,
+    citecolor=black,
+    filecolor=black,
+    linkcolor=black,
+    urlcolor=black
+}
+
+% Code Snippets %
+\definecolor{dkgreen}{rgb}{0,0.6,0}
+\definecolor{gray}{rgb}{0.5,0.5,0.5}
+\definecolor{mauve}{rgb}{0.58,0,0.82}
+
+\lstset{frame=tb,
+  language=Java,
+  aboveskip=3mm,
+  belowskip=3mm,
+  showstringspaces=false,
+  columns=flexible,
+  basicstyle={\small\ttfamily},
+  numbers=none,
+  numberstyle=\tiny\color{gray},
+  keywordstyle=\color{blue},
+  commentstyle=\color{dkgreen},
+  stringstyle=\color{mauve},
+  breaklines=true,
+  breakatwhitespace=true,
+  tabsize=3
+}
+
+
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+%%-----------------------ZAČÁTEK VLASTNÍHO TEXTU---------------------------%%
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\begin{document}
+
+\begin{titlepage}
+  \title{
+    \vspace{-4cm}\hspace{-10cm}
+    \includegraphics[width=8cm]{assets/logo.png} \\
+    \vspace{5cm}
+    \begingroup
+    \setstretch{4}\fontsize{30}{10}\selectfont\fontdimen2\font=0.8ex
+    \parbox{13.3cm}{
+      \centering{\textbf{ASWI - Neurorehablitační systém BrainIn}\\
+        \fontsize{24}{10}\selectfont\centering{{Vize produktu}}
+      }}
+    \endgroup}
+  \date{}
+  \author{}
+  \maketitle \thispagestyle{empty}
+  \vspace{3cm}
+  \hspace{0cm}\parbox[b][5cm][b]{8cm}{{\setstretch{1.5}
+        Autor: Bc. Jan Hereš\\
+        Datum: 05.04.2023\\
+        Poslední úprava: \today\\}}
+\end{titlepage}
+\newpage
+
+
+\tableofcontents
+\newpage
+
+\section{Úvod}
+\paragraph{} Tento úvodní text slouží k definování základních pojmů pro tento dokument.
+
+\subsection{Původ dokumentu}
+\paragraph{} Tento dokument je vytvářen pro vybudování základů pro účastníky projektu.
+V tomto dokumentu by měly být pokryty veškeré základní požadavky, zainteresované strany a další pojmy, které je potřeba znát pro základ projektového managementu.
+
+\subsection{Rozsah předmětu dokumentu}
+\paragraph{} Předmětem tohoto dokumentu je projekt \textbf{,,Neurorehablitační systém BrainIn''} včetně jeho dvou částí - webové a aplikační.
+Rozsahem se tedy rozumí veškeré záležitosti související právě s tímto projektem.
+Ostatní záležitosti by neměly být součástí tohoto dokumentu.
+
+\subsection{Definice pojmů, akronymy a zkratky}
+\begin{itemize}
+  \item Mentor (ASWI/TSP) - vedoucí daného předmětu, který hodnotí činnost a práci vývojového týmu. Je taktéž k dispozici pro odbornou konzultaci pro SW vývoj.
+\end{itemize}
+
+\subsection{Reference}
+\paragraph{} V této podkapitole jsou uvedeny veškeré ostatní dokumenty, ze kterých bylo čerpáno, popřípadě jiným způsobem souvisí s tímto dokumentem.
+\begin{itemize}
+  \item \href{https://www.ibm.com/docs/en/elm/7.0.0?topic=requirements-vision-document}{Vision and scope document structure}
+\end{itemize}
+
+\subsection{Přehled a struktura dokumentu}
+\paragraph{} V této části je vysvětlena struktura a členění tohoto dokumentu.
+Dokument je členěn do jednotlivých kapitol, každá pojednávající o unikátní částí celkové vize produktu (a s tím spjatých záležitostí).
+Kapitoly mohou (ale nemusí) být dále členěny na podkapitoly, bude-li to třeba.
+V každé kapitole bude krátký odstavec (pár vět), který bude blíže specifikovat její podstatu (není-li to jednoznačné).
+
+\newpage
+\section{Business kontext}
+
+\subsection{Příležitosti}
+\paragraph{} Tento projekt je zaměřen na pacienty s problémy nervového systému a jejich terapeuty.
+Pro tuto skupinu bohužel zatím neexistuje komerční alternativa, která by nabízela možnosti pacientům vytvářet svá vlastní cvičení, čímž na druhou stranu vzniká tržní příležitost.
+
+\subsection{Ustanovení problému}
+\paragraph{} Tento projekt řeší problém absence softwaru, který by jim umožnil na míru vytvářená cvičení od jejich terapeutů s přímou předlohou.
+Taktéž řeší problémy, kdy pacienti nemají možnost časté dopravy k terapeutovi a mohou tato cvičení provádět v pohodlí domova.
+
+\subsection{Definice stakeholderů a popis uživatelů}
+
+\subsection{Stakeholders}
+\subsubsection{Interní}
+\begin{itemize}
+  \item Zákazník - doc. Ing. Roman Mouček, Ph.D.
+  \item TSP Mentor - doc. Ing. Roman Mouček, Ph.D.
+  \item ASWI Mentor - Ing. Petr Pícha
+  \item Project Manager - Bc. Jan Hereš
+\end{itemize}
+
+\subsubsection{Externí}
+\begin{itemize}
+  \item Terapeuti
+  \item Pacienti s postižením CNS
+\end{itemize}
+
+\subsection{Popis uživatele}
+\paragraph{} Uživatelem může být kdokoliv s připojením k internetu a počítačem s webovým prohlížečem.
+
+
+% \cite{Example}
+
+
+% \clearpage
+% \section{Závěr}
+
+% \newpage
+% \bibliographystyle{unsrt}
+% {\raggedright\small
+% \bibliography{literatura}
+% }
+
+\end{document}
\ No newline at end of file
diff --git a/doc/aswi/vize_produktu/literatura.bib b/doc/aswi/vize_produktu/literatura.bib
new file mode 100644
index 000000000..fb12e673a
--- /dev/null
+++ b/doc/aswi/vize_produktu/literatura.bib
@@ -0,0 +1,7 @@
+@misc{Example,
+    author = {Autor},
+    key = {},
+    title = {Název},
+    year = {2022},
+    howpublished = "Dostupné na \url{google.com}"
+}
\ No newline at end of file