commit 34c5e017a0f20ca3585b096a00c151421e1583a6
Author: HarryHeres <harryjeta@seznam.cz>
Date:   Mon May 15 12:21:49 2023 +0200

    Created document "Uživatelská dokumentace"

diff --git a/doc/aswi/uzivatelska_dokumentace/assets/logo.png b/doc/aswi/uzivatelska_dokumentace/assets/logo.png
new file mode 100644
index 000000000..e0be47f39
Binary files /dev/null and b/doc/aswi/uzivatelska_dokumentace/assets/logo.png differ
diff --git a/doc/aswi/uzivatelska_dokumentace/assets/main_menu.png b/doc/aswi/uzivatelska_dokumentace/assets/main_menu.png
new file mode 100644
index 000000000..b2722c3a5
Binary files /dev/null and b/doc/aswi/uzivatelska_dokumentace/assets/main_menu.png differ
diff --git a/doc/aswi/uzivatelska_dokumentace/assets/results_screen.png b/doc/aswi/uzivatelska_dokumentace/assets/results_screen.png
new file mode 100644
index 000000000..503be9115
Binary files /dev/null and b/doc/aswi/uzivatelska_dokumentace/assets/results_screen.png differ
diff --git a/doc/aswi/uzivatelska_dokumentace/assets/settings_screen.png b/doc/aswi/uzivatelska_dokumentace/assets/settings_screen.png
new file mode 100644
index 000000000..2ff024311
Binary files /dev/null and b/doc/aswi/uzivatelska_dokumentace/assets/settings_screen.png differ
diff --git a/doc/aswi/uzivatelska_dokumentace/doc.pdf b/doc/aswi/uzivatelska_dokumentace/doc.pdf
new file mode 100644
index 000000000..08fe3d099
Binary files /dev/null and b/doc/aswi/uzivatelska_dokumentace/doc.pdf differ
diff --git a/doc/aswi/uzivatelska_dokumentace/doc.tex b/doc/aswi/uzivatelska_dokumentace/doc.tex
new file mode 100644
index 000000000..9ce650b02
--- /dev/null
+++ b/doc/aswi/uzivatelska_dokumentace/doc.tex
@@ -0,0 +1,138 @@
+\documentclass[12pt, a4paper]{article}
+
+
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+%%-----------------------VYUŽITÉ PACKAGES----------------------------%%
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\usepackage[czech]{babel}
+\usepackage{geometry}
+\usepackage[final]{graphicx}
+\usepackage{anyfontsize}
+\usepackage{setspace}
+\usepackage{hyperref}
+\usepackage[T1]{fontenc}
+\usepackage{subcaption}
+\usepackage{listings}
+\usepackage{color}
+\hypersetup{
+    colorlinks,
+    citecolor=black,
+    filecolor=black,
+    linkcolor=black,
+    urlcolor=black
+}
+
+% Code Snippets %
+\definecolor{dkgreen}{rgb}{0,0.6,0}
+\definecolor{gray}{rgb}{0.5,0.5,0.5}
+\definecolor{mauve}{rgb}{0.58,0,0.82}
+
+\lstset{frame=tb,
+  language=Java,
+  aboveskip=3mm,
+  belowskip=3mm,
+  showstringspaces=false,
+  columns=flexible,
+  basicstyle={\small\ttfamily},
+  numbers=none,
+  numberstyle=\tiny\color{gray},
+  keywordstyle=\color{blue},
+  commentstyle=\color{dkgreen},
+  stringstyle=\color{mauve},
+  breaklines=true,
+  breakatwhitespace=true,
+  tabsize=3
+}
+
+
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+%%-----------------------ZAČÁTEK VLASTNÍHO TEXTU---------------------------%%
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\begin{document}
+
+\begin{titlepage}
+\title{
+\vspace{-4cm}\hspace{-10cm}
+\includegraphics[width=8cm]{assets/logo.png} \\
+\vspace{5cm}
+\begingroup
+\setstretch{4}\fontsize{30}{10}\selectfont\fontdimen2\font=0.8ex
+\parbox{13.3cm}{
+    \centering{\textbf{ASWI - Neurorehablitační systém BrainIn}\\
+    \fontsize{24}{10}\selectfont\centering{{Uživatelská dokumentace}}
+}}
+\endgroup}
+\date{}
+\author{}
+\maketitle \thispagestyle{empty}
+\vspace{3cm}
+\hspace{0cm}\parbox[b][5cm][b]{8cm}{{\setstretch{1.5}
+Autor: Bc. Jan Hereš\\
+Datum: 15.05.2023\\
+Poslední úprava: \today\\}}
+\end{titlepage}
+\newpage
+
+
+\tableofcontents
+\newpage
+
+\section{Úvod}
+\paragraph{} V rámci vývoje projektu BrainIn byla vytvořena nová grafická verze šablon pro vytvoření terapeutických cvičení. Tato šablona vznikla při vývoje mobilní verze této aplikace a její účel je tedy sjednotit grafické rozhraní, aby byla zajištěna konzistence ovládání mezi jednotlivými verzemi. 
+
+\section{Popis nového grafického rozhraní}
+\paragraph{} Pro zajištění plynulého přechodu a zvyku bylo při tvorbě nové šablony dbáno na fakt, aby byla co nejpodobnější původní verzi a zároveň splnila svůj účel.
+
+\section{Hlavní menu}
+\paragraph{} Následující výčet obsahuje popis jednotlivých elementů:
+\begin{itemize}
+  \item Spustit - tlačítko pro spuštění cvičení
+  \item Ovládání - panel pro přehled základního ovládání pro konkrétní cvičení
+  \item Menší zobrazení - slouží pro zmenšení celkového zobrazení.
+  \item Vypnout/Zapnout zvuky - kompletně vypne/zapne zvuky pro dané cvičení. Toto je řešení pouze v rámci aplikace, je nutné brát v potaz i nastavení samotného zařízení, na kterém aplikace běží. Pro některá cvičení je vhodné mít zvuky zapnuté.
+  \item Nastavení - nastavení pro konkrétní cvičení
+  \begin{itemize}
+    \item Hlasitost zvuků - nastavení hlasitosti zvuků ve cvičeních. 
+    \item Hlasitost mluveného slova - některá cvičení mají i hlasový doprovod. Zde lze tedy upravit jeho hlasitost.
+    \item Kvalita zobrazení - pokud dochází k nějakým výkonnostním problémům, lze vypnout automatické určení.
+    \item Šířka zobrazení - slouží pro zařízení, která mají neobvyklý poměr stran
+  \end{itemize}
+\end{itemize}
+
+\begin{figure}
+  \includegraphics[width=\linewidth]{assets/main_menu.png}
+  \caption{Hlavní menu}
+  \label{fig-main-menu}
+\end{figure}
+
+\begin{figure}
+  \includegraphics[width=\linewidth]{assets/settings_screen.png}
+  \caption{Panel nastavení}
+  \label{fig-settings-screen}
+\end{figure}
+
+\newpage
+\section{Výsledky}
+\paragraph{} Po dokončení daného cvičení se uživateli zobrazí obrazovka s jeho úspěšností. 
+Na této obrazovce lze taktéž ohodnotit, jak se mu cvičení líbilo.
+
+\begin{figure}
+  \includegraphics[width=\linewidth]{assets/results_screen.png}
+  \caption{Obrazovka s výsledky}
+  \label{fig-results-screen}
+\end{figure}
+
+
+% \cite{Example}
+
+
+% \clearpage
+% \section{Závěr}
+
+% \newpage
+% \bibliographystyle{unsrt}
+% {\raggedright\small
+% \bibliography{literatura}
+% }
+
+\end{document}
\ No newline at end of file
diff --git a/doc/aswi/uzivatelska_dokumentace/literatura.bib b/doc/aswi/uzivatelska_dokumentace/literatura.bib
new file mode 100644
index 000000000..fb12e673a
--- /dev/null
+++ b/doc/aswi/uzivatelska_dokumentace/literatura.bib
@@ -0,0 +1,7 @@
+@misc{Example,
+    author = {Autor},
+    key = {},
+    title = {Název},
+    year = {2022},
+    howpublished = "Dostupné na \url{google.com}"
+}
\ No newline at end of file