commit 46e372c35061c8c609b8e36301fd0482ec3e9348
Author: HarryHeres <harryjeta@seznam.cz>
Date:   Wed Apr 12 18:37:47 2023 +0200

    Rewording of "Vize produktu"

diff --git a/doc/aswi/vize_produktu/doc.pdf b/doc/aswi/vize_produktu/doc.pdf
index 6f2c4b95a..2223a72d8 100644
Binary files a/doc/aswi/vize_produktu/doc.pdf and b/doc/aswi/vize_produktu/doc.pdf differ
diff --git a/doc/aswi/vize_produktu/doc.tex b/doc/aswi/vize_produktu/doc.tex
index d816bab8e..5b5f3cc8c 100644
--- a/doc/aswi/vize_produktu/doc.tex
+++ b/doc/aswi/vize_produktu/doc.tex
@@ -80,16 +80,16 @@
 \newpage
 
 \section{Úvod}
-\paragraph{} Tento úvodní text slouží k definování základních pojmů pro tento dokument.
+\paragraph{} Tento úvodní text slouží k definování základních pojmů.
 
 \subsection{Původ dokumentu}
-\paragraph{} Tento dokument je vytvářen pro vybudování základů pro účastníky projektu.
-V tomto dokumentu by měly být pokryty veškeré základní požadavky, zainteresované strany a další pojmy, které je potřeba znát pro základ projektového managementu.
+\paragraph{} Tento dokument je vytvářen za účelem vytvoření základů pro všechny účastníky projektu.
+V tomto dokumentu by měly být pokryty veškeré základní požadavky, zainteresované strany a další pojmy, které je potřeba znát pro tento projekt.
 
 \subsection{Rozsah předmětu dokumentu}
 \paragraph{} Předmětem tohoto dokumentu je projekt \textbf{,,Neurorehablitační systém BrainIn''} včetně jeho dvou částí - webové a aplikační.
-Rozsahem se tedy rozumí veškeré záležitosti související právě s tímto projektem.
-Ostatní záležitosti by neměly být součástí tohoto dokumentu.
+Rozsahem se tedy rozumí veškeré záležitosti s ním jednoznačně související.
+Ostatní by neměly být součástí tohoto dokumentu.
 
 \subsection{Definice pojmů, akronymy a zkratky}
 \begin{itemize}
@@ -97,14 +97,13 @@ Ostatní záležitosti by neměly být součástí tohoto dokumentu.
 \end{itemize}
 
 \subsection{Reference}
-\paragraph{} V této podkapitole jsou uvedeny veškeré ostatní dokumenty, ze kterých bylo čerpáno, popřípadě jiným způsobem souvisí s tímto dokumentem.
+\paragraph{} V této podkapitole jsou uvedeny veškeré ostatní dokumenty, ze kterých bylo čerpáno.
 \begin{itemize}
-  \item \href{https://www.ibm.com/docs/en/elm/7.0.0?topic=requirements-vision-document}{Vision and scope document structure}
+  \item \underline{\href{https://www.ibm.com/docs/en/elm/7.0.0?topic=requirements-vision-document}{Vision and Scope document structure}}
 \end{itemize}
 
 \subsection{Přehled a struktura dokumentu}
-\paragraph{} V této části je vysvětlena struktura a členění tohoto dokumentu.
-Dokument je členěn do jednotlivých kapitol, každá pojednávající o unikátní částí celkové vize produktu (a s tím spjatých záležitostí).
+\paragraph{} Dokument je členěn do jednotlivých kapitol, každá pojednávající o unikátní části celkové vize produktu.
 Kapitoly mohou (ale nemusí) být dále členěny na podkapitoly, bude-li to třeba.
 V každé kapitole bude krátký odstavec (pár vět), který bude blíže specifikovat její podstatu (není-li to jednoznačné).
 
@@ -113,10 +112,10 @@ V každé kapitole bude krátký odstavec (pár vět), který bude blíže speci
 
 \subsection{Příležitosti}
 \paragraph{} Tento projekt je zaměřen na pacienty s problémy nervového systému a jejich terapeuty.
-Pro tuto skupinu bohužel zatím neexistuje komerční alternativa, která by nabízela možnosti pacientům vytvářet svá vlastní cvičení, čímž na druhou stranu vzniká tržní příležitost.
+Pro tuto skupinu zatím neexistuje jiná komerční alternativa, která by nabízela možnost pacientům trénovat, na míru vytvořená, cvičení, čímž vzniká tržní příležitost.
 
 \subsection{Ustanovení problému}
-\paragraph{} Tento projekt řeší problém absence softwaru, který by jim umožnil na míru vytvářená cvičení od jejich terapeutů s přímou předlohou.
+\paragraph{} Tento projekt řeší problém absence softwaru, který by pacientům umožnil rehabilitovat pomocí na míru vytvořených cvičení v kombinaci s vizuální předlohou.
 Taktéž řeší problémy, kdy pacienti nemají možnost časté dopravy k terapeutovi a mohou tato cvičení provádět v pohodlí domova.
 
 \subsection{Definice stakeholderů a popis uživatelů}
@@ -132,7 +131,7 @@ Taktéž řeší problémy, kdy pacienti nemají možnost časté dopravy k tera
 
 \subsubsection{Externí}
 \begin{itemize}
-  \item Terapeuti pro pacienti s postižením CNS
+  \item Terapeuti pacientů s postižením CNS
   \item Pacienti s postižením CNS
 \end{itemize}
 
@@ -204,11 +203,10 @@ Taktéž není závislý na žádných ostatních produktech, aplikacích či ji
 
 \subsection{Standardy}
 \paragraph{} V rámci vývojového týmu jsou zavedeny interní směrnice pro ustálení formy vývoje.
-Ostatní aktivity nepodléhají žádným standardům.
+Ostatní aktivity nepodléhají žádným dalším standardům.
 
 \subsection{Závislosti}
 \paragraph{} Projekt, respektive aplikace nepodléhá žádným vnějším závislostem.
-% \cite{Example}
 
 \newpage
 \section{Rámec plánu projektu}