commit 4f5481fae1df60f436dcc20834f3b32736bfd9fa
Author: HarryHeres <harryjeta@seznam.cz>
Date:   Mon Mar 13 16:25:16 2023 +0100

    Updated document Plán iterací

diff --git a/doc/aswi/plan_iteraci/doc.pdf b/doc/aswi/plan_iteraci/doc.pdf
index 3e85f204f..0fcc5fa39 100644
Binary files a/doc/aswi/plan_iteraci/doc.pdf and b/doc/aswi/plan_iteraci/doc.pdf differ
diff --git a/doc/aswi/plan_iteraci/doc.tex b/doc/aswi/plan_iteraci/doc.tex
index b29024ccf..afafa512b 100644
--- a/doc/aswi/plan_iteraci/doc.tex
+++ b/doc/aswi/plan_iteraci/doc.tex
@@ -51,25 +51,25 @@
 \begin{document}
 
 \begin{titlepage}
-\title{
-\vspace{-4cm}\hspace{-10cm}
-\includegraphics[width=8cm]{assets/logo.png} \\
-\vspace{5cm}
-\begingroup
-\setstretch{4}\fontsize{30}{10}\selectfont\fontdimen2\font=0.8ex
-\parbox{13.3cm}{
-    \centering{\textbf{ASWI - Neurorehablitační systém BrainIn}\\
-    \fontsize{24}{10}\selectfont\centering{{Plán vývoje}}
-}}
-\endgroup}
-\date{}
-\author{}
-\maketitle \thispagestyle{empty}
-\vspace{3cm}
-\hspace{0cm}\parbox[b][5cm][b]{8cm}{{\setstretch{1.5}
-Autor: Bc. Jan Hereš\\
-Datum: 06.03.2023\\
-Poslední úprava: \today\\}}
+  \title{
+    \vspace{-4cm}\hspace{-10cm}
+    \includegraphics[width=8cm]{assets/logo.png} \\
+    \vspace{5cm}
+    \begingroup
+    \setstretch{4}\fontsize{30}{10}\selectfont\fontdimen2\font=0.8ex
+    \parbox{13.3cm}{
+      \centering{\textbf{ASWI - Neurorehablitační systém BrainIn}\\
+        \fontsize{24}{10}\selectfont\centering{{Plán vývoje}}
+      }}
+    \endgroup}
+  \date{}
+  \author{}
+  \maketitle \thispagestyle{empty}
+  \vspace{3cm}
+  \hspace{0cm}\parbox[b][5cm][b]{8cm}{{\setstretch{1.5}
+        Autor: Bc. Jan Hereš\\
+        Datum: 06.03.2023\\
+        Poslední úprava: \today\\}}
 \end{titlepage}
 \newpage
 
@@ -78,10 +78,10 @@ Poslední úprava: \today\\}}
 \newpage
 
 \section{Preambule}
-\paragraph{} Plán iterace se vždy odvíjí od nejnovější verze dokumentu ,,Specifikace požadavků''.
-Každá iterace je v základu plánována na \textbf{dva týdny}.  
-
-\paragraph{1. Iterace (23.02. - 10.03)}
+\paragraph{} Plán iterace se vždy odvíjí od nejnovější, \textbf{schválené}, verze dokumentu ,,Specifikace požadavků''.
+Každá iterace je v základu plánována na \textbf{dva týdny}, pokud není blíže specifikováno.
+\section{Podrobný plán iterací pro předmět ASWI (TSP1)}
+\paragraph{1. Iterace (23.02. - 17.03)} Tato iterace byla prodloužena, jelikož během jejího trvání neexistoval konkrétní plán, tudíž byly veškeré procesy řízeny ,,ad-hoc''.
 \begin{itemize}
   \item Úvodní schůzka s mentorem a zadavatelem
   \item První verze dokumentu ,,Specifikace požadavků''
@@ -90,52 +90,42 @@ Každá iterace je v základu plánována na \textbf{dva týdny}.
   \item Připravení nástroje na správu projektového vývoje
 \end{itemize}
 
-\paragraph{2. Iterace (10.03. - 23.03)}
+\paragraph{2. Iterace (20.03. - 31.03.)}
 \begin{itemize}
   \item Finalizace dokumentu ,,Specifikace požadavků''
-  \item Návrh a počáteční implementace přechodu na novou verzi Unity platformy
+  \item Finalizace dokumentu ,,Interní směrnice''
+  \item Převod prvních cvičení do nové podoby dle nové šablony (bude poskytnuta Michalem Horkým)
+  \item Otestování funkčnosti převedených nových šablon
   \item Počátek tvorby projektové dokumentace
 \end{itemize}
 
-\paragraph{3. Iterace (23.03 - 07.04)}
+\paragraph{3. Iterace (03.04. - 14.04.)}
 \begin{itemize}
-  \item Otestování aplikace na nové platformě
-  \item Finalizace a nasazení nové verze na testovací prostředí
-  \item Finalizace zavedení nových vývojových procesů
+  \item Převod zbytku šablon (konkrétněji dle specifikace požadavků) do nové podoby
+  \item Otestování funkčnosti převedených šablon.
 \end{itemize}
 
-\paragraph{4. Iterace (07.04 - 21.04.)}
+\paragraph{4. Iterace (17.04 - 28.04.)}
 \begin{itemize}
-  \item Návrh a implementace řešení dalších případných výkonostních problémů
+  \item Návrh a implementace řešení případných výkonostních problémů
   \item Návrh a implementace řešení problému webové části aplikace - \textit{HTTP 504: Gateway timeout}
   \item Průběžná verze dokumentace projektu
 \end{itemize}
 
-\paragraph{5. Iterace (21.04. - 05.05.)}
+\paragraph{5. Iterace (01.05. - 12.05.)}
 \begin{itemize}
   \item Testování a finalizace implementovaných řešení
   \item Finalizace projektové dokumentace
 \end{itemize}
 
-\paragraph{6. Iterace (05.05. - 19.05.)}
+\paragraph{6. Iterace (15.05. - 26.05.)}
 \begin{itemize}
   \item Vytvoření finální release verze
+  \item Nasazení nové release verze na testovací/produkční prostředí (dle domluvy se zákazníkem)
   \item Předání aplikace se všemi dostupnými artefakty
   \item Vytvoření a podepsání předávacího protokolu
 \end{itemize}
 
-
-
-% \cite{Example}
-
-
-% \clearpage
-% \section{Závěr}
-
-% \newpage
-% \bibliographystyle{unsrt}
-% {\raggedright\small
-% \bibliography{literatura}
-% }
+\paragraph{} V rámci vývoje budou postupně nasazovány vhodné vývojové procesy do ustálené formy (blíže viz dokument ,,Interní směrnice'').
 
 \end{document}
\ No newline at end of file