commit 878a145878d0395fab8f0e5f8236d6461e777abe
Author: HarryHeres <harryjeta@seznam.cz>
Date:   Tue Mar 14 21:20:51 2023 +0100

    Updated document Plán iterací

diff --git a/doc/Plan_iteraci_14_03_2023.pdf b/doc/Plan_iteraci_14_03_2023.pdf
new file mode 100644
index 000000000..f0b2030cc
Binary files /dev/null and b/doc/Plan_iteraci_14_03_2023.pdf differ
diff --git a/doc/aswi/plan_iteraci/doc.pdf b/doc/aswi/plan_iteraci/doc.pdf
index 0fcc5fa39..f0b2030cc 100644
Binary files a/doc/aswi/plan_iteraci/doc.pdf and b/doc/aswi/plan_iteraci/doc.pdf differ
diff --git a/doc/aswi/plan_iteraci/doc.tex b/doc/aswi/plan_iteraci/doc.tex
index afafa512b..33fa06289 100644
--- a/doc/aswi/plan_iteraci/doc.tex
+++ b/doc/aswi/plan_iteraci/doc.tex
@@ -79,13 +79,14 @@
 
 \section{Preambule}
 \paragraph{} Plán iterace se vždy odvíjí od nejnovější, \textbf{schválené}, verze dokumentu ,,Specifikace požadavků''.
-Každá iterace je v základu plánována na \textbf{dva týdny}, pokud není blíže specifikováno.
+Každá iterace je v základu plánována na \textbf{dva týdny}, pokud není-li blíže specifikováno.
 \section{Podrobný plán iterací pro předmět ASWI (TSP1)}
-\paragraph{1. Iterace (23.02. - 17.03)} Tato iterace byla prodloužena, jelikož během jejího trvání neexistoval konkrétní plán, tudíž byly veškeré procesy řízeny ,,ad-hoc''.
+\paragraph{1. Iterace (23.02. - 17.03.)} Tato iterace byla prodloužena, jelikož během jejího trvání neexistoval konkrétní plán, tudíž byly veškeré procesy řízeny ,,ad-hoc''.
 \begin{itemize}
   \item Úvodní schůzka s mentorem a zadavatelem
   \item První verze dokumentu ,,Specifikace požadavků''
   \item První verze dokumentu ,,Interní směrnice''
+  \item První verze dokumentu ,,Plán iterací'' (hrubý celkový plán projektu)
   \item Analýza závěrečné zprávy týmu KIV/SAR
   \item Připravení nástroje na správu projektového vývoje
 \end{itemize}
@@ -101,13 +102,12 @@ Každá iterace je v základu plánována na \textbf{dva týdny}, pokud není bl
 
 \paragraph{3. Iterace (03.04. - 14.04.)}
 \begin{itemize}
-  \item Převod zbytku šablon (konkrétněji dle specifikace požadavků) do nové podoby
+  \item Převod všech doposud nepřevedených šablon do nové podoby
   \item Otestování funkčnosti převedených šablon.
 \end{itemize}
 
 \paragraph{4. Iterace (17.04 - 28.04.)}
 \begin{itemize}
-  \item Návrh a implementace řešení případných výkonostních problémů
   \item Návrh a implementace řešení problému webové části aplikace - \textit{HTTP 504: Gateway timeout}
   \item Průběžná verze dokumentace projektu
 \end{itemize}
diff --git a/doc/internal/doc.pdf b/doc/internal/doc.pdf
index 03682276f..97e2bd66f 100644
Binary files a/doc/internal/doc.pdf and b/doc/internal/doc.pdf differ
diff --git a/doc/internal/doc.tex b/doc/internal/doc.tex
index a5b32f355..488282e07 100644
--- a/doc/internal/doc.tex
+++ b/doc/internal/doc.tex
@@ -26,25 +26,25 @@
 \begin{document}
 
 \begin{titlepage}
-\title{
-\vspace{-4cm}\hspace{-10cm}
-\includegraphics[width=8cm]{assets/logo.png} \\
-\vspace{5cm}
-\begingroup
-\setstretch{4}\fontsize{30}{10}\selectfont\fontdimen2\font=0.8ex
-\parbox{13.3cm}{
-    \centering{\textbf{ASWI - Neurorehablitační systém BrainIn}\\
-    \fontsize{24}{10}\selectfont\centering{{Interní týmové předpisy a dokumentace}}
-}}
-\endgroup}
-\date{}
-\author{}
-\maketitle \thispagestyle{empty}
-\vspace{3cm}
-\hspace{0cm}\parbox[b][5cm][b]{8cm}{{\setstretch{1.5}
-Autor: Bc. Jan Hereš\\
-Datum: 27.02.2023\\
-Poslední úprava: \today\\}}
+    \title{
+        \vspace{-4cm}\hspace{-10cm}
+        \includegraphics[width=8cm]{assets/logo.png} \\
+        \vspace{5cm}
+        \begingroup
+        \setstretch{4}\fontsize{30}{10}\selectfont\fontdimen2\font=0.8ex
+        \parbox{13.3cm}{
+            \centering{\textbf{ASWI - Neurorehablitační systém BrainIn}\\
+                \fontsize{24}{10}\selectfont\centering{{Interní týmové předpisy a dokumentace}}
+            }}
+        \endgroup}
+    \date{}
+    \author{}
+    \maketitle \thispagestyle{empty}
+    \vspace{3cm}
+    \hspace{0cm}\parbox[b][5cm][b]{8cm}{{\setstretch{1.5}
+                Autor: Bc. Jan Hereš\\
+                Datum: 27.02.2023\\
+                Poslední úprava: \today\\}}
 \end{titlepage}
 \newpage
 
@@ -56,10 +56,10 @@ Poslední úprava: \today\\}}
 \paragraph{} Tento dokument slouží jakožto analogie ,,interních směrnicí'' pro sjednocení a ustálení vývojových procesů napříč celým týmem.
 
 \section{Interní management}
-\paragraph{} V rámci řízení projektu bylo ustanoveno, že se tým bude \textbf{pravidelně} scházet v on-site/online formě \textbf{každé úterý od 13:00 do 14:00} (tzv. \textit{weekly-standups; případně každý čtvrtek v závislosti na možnostech všech zúčastněných)}. V rámci těchto schůzek bude probrána odvedená a naplánovaná práce, případně jakákoliv nastávající problematika. Z těchto meetingů bude \textbf{vždy} vytvořen ,,záznam ze schůzky dne XXX'', který bude součástí dokumentu se všemi takovými záznamy. 
+\paragraph{} V rámci řízení projektu bylo ustanoveno, že se tým bude \textbf{pravidelně} scházet v on-site/online formě každý týden (konkrétní den bude vždy určen s předstihem dle možností jednotlivých zúčastněných). V rámci těchto schůzek bude probrána odvedená a naplánovaná práce, případně jakákoliv nastávající problematika. Z těchto meetingů bude \textbf{vždy} vytvořen ,,záznam ze schůzky dne XXX'', který bude součástí dokumentu se všemi takovými záznamy.
 
 \section{Verzovací systém Git}
-\paragraph{} Tato sekce se týká verzovacího systému Git (potažmo repozitáře Gitlab). 
+\paragraph{} Tato sekce se týká verzovacího systému Git (potažmo repozitáře Gitlab).
 Vzhledem k faktu, že je již od začátku aplikace vyvíjena pro české pacienty, terapeuty, \dots (a z důvodu zachování již zaběhlých konvencí) budou veškeré komentáře, názvy a komunikace popsány v \textbf{českém} jazyce.
 
 \subsection{Tvorba vývojových větví (\textit{branches})}
@@ -80,16 +80,16 @@ Workflow mezi jednotlivými větvemi je vyobrazen na obrázku \ref{fig:branches_
 
 \subsection{Tvorba a správa úkolů (\textit{Tickets and Issues})}
 \paragraph{} Každý úkol bude mít svůj \textit{ticket} (v případě, že je tak obsáhlý, že se bude muset dále dělit na podúkoly).
-Pokud bude úkol ,,jednoduchý'' (tj. nebude vyžadovat žádnou, případně velice minimální dekompozici), bude k němu adresována daná \textit{issue}. 
+Pokud bude úkol ,,jednoduchý'' (tj. nebude vyžadovat žádnou, případně velice minimální dekompozici), bude k němu adresována daná \textit{issue}.
 
 \subsubsection{Issues (Tickets)}
 \paragraph{} Ticketem se rozumí takový úkol, který je nutné dekomponovat do menší, ideálně atomických podúkolů.
 Samotný ticket bude reprezentován v repozitáři jakožto \textit{issue}, nicméně v rámci jeho popisů (\textit{Tasks}) bude výčet všech úkolů (volně popsaných), které je nutné splnit.
 V rámci Ticketu bude využito i sekce \textit{Linked Items}, kde budou linknuté konkrétní podúkoly ve formě jednotlivých \textit{issues} (přesná korelace mezi sekcí \textit{Tasks a Linked Items} je tedy zřejmá).
-\par Z pragmatického hlediska bude tedy Ticket pouze speciální issue, která agreguje veškeré logicky související podúkoly. 
+\par Z pragmatického hlediska bude tedy Ticket pouze speciální issue, která agreguje veškeré logicky související podúkoly.
 
 \subsubsection{Issues (Tasks)}
-\paragraph{} Jak bylo již řečeno výše, \textit{issue} bude buďto jednoduchý úkol, který je součástí daného \textit{tasku}. 
+\paragraph{} Jak bylo již řečeno výše, \textit{issue} bude buďto jednoduchý úkol, který je součástí daného \textit{tasku}.
 Pravidla pro vytváření těchto úkolů:
 \begin{itemize}
     \item Každá \textit{issue} bude obsahovat krátký, nicméně dostatečně deskriptivní popis, čeho konkrétně se týká
@@ -97,22 +97,22 @@ Pravidla pro vytváření těchto úkolů:
     \item Každá \textit{issue}, která bude v jiné, než \textbf{Backlog} fázi (specifikováno dále) bude \textbf{jednoznačně přiřazena} danému vývojáři (případně testerovi či zákazníkovi, bude-li třeba)
     \item Každá \textit{issue} bude označena jednou z možností \textbf{,,urgentnosti''} (viz dále)
     \item U každé issue, které je ve fázi ,,In progress'', či dále, bude jednoznačně stanoveno datum, kdy by měl být úkol dokončen (neměl by přesáhnout koncové datum iterace, v rámci které je úkol řešen)
-    
+
 \end{itemize}
 
 \paragraph{Jednotlivé fáze úkolů}
 \begin{itemize}
     \item Backlog - analogie s TODO
     \item In progress
-    \item To test (dev) - testování \textbf{vždy provádí jiný vývojář/tester!} 
-    \item Code review 
+    \item To test (dev) - testování \textbf{vždy provádí jiný vývojář/tester!}
+    \item Code review
     \item To deploy (dev) - funkcionalita implementována, nicméně je nutné funkční verzi \textit{deploynout} na testovací prostředí k umožnění testování
     \item To test (prod) - otestování na produkčním prostředí
     \item To deploy (prod) - končí schválením merge requestu do \textbf{masteru}
-    \item Done - Issue hotova, uzavřena 
+    \item Done - Issue hotova, uzavřena
 \end{itemize}
 
-\paragraph{} Poznámka: Ze stavu ,,To deploy (dev)'' lze přejít do stavu ,,Done'', pokud není žádoucí ovlivňovat produkční prostředí (zejména pro malé změny, které budou součástí větší úpravy). 
+\paragraph{} Poznámka: Ze stavu ,,To deploy (dev)'' lze přejít do stavu ,,Done'', pokud není žádoucí ovlivňovat produkční prostředí (zejména pro malé změny, které jsou součástí většího zásahu do projektu).
 
 
 \paragraph{Typy issues}
@@ -122,7 +122,7 @@ Pravidla pro vytváření těchto úkolů:
     \item Ticket - jakýkoliv další úkol, který implicitně není novou funkcionalitou, spíše například vytvoření obsáhlejší dokumentace, případně nových tříd či struktur
     \item Task - základní úkol (ideálně atomický); využití na rozdělení ticketu do menších podúkolů
     \item Bug - Chyba, kterou je nutno opravit
-    \item Change request - vyžádaná změna od zákazníka/uživatele, která byla již dříve implementována 
+    \item Change request - vyžádaná změna od zákazníka/uživatele, která byla již dříve implementována
 \end{itemize}
 
 \paragraph{Typy priority/urgentnosti}