commit 88ba59c85560beb9896e2199034d86fda6b3ac31
Author: HarryHeres <harryjeta@seznam.cz>
Date:   Thu Mar 9 13:04:30 2023 +0100

    Updated document Specifikace_pozadavku.

diff --git a/doc/aswi/specifikace_pozadavku/doc.pdf b/doc/aswi/specifikace_pozadavku/doc.pdf
index c7ce23334..ee6fcab24 100644
Binary files a/doc/aswi/specifikace_pozadavku/doc.pdf and b/doc/aswi/specifikace_pozadavku/doc.pdf differ
diff --git a/doc/aswi/specifikace_pozadavku/doc.tex b/doc/aswi/specifikace_pozadavku/doc.tex
index a58cc9261..cb0619542 100644
--- a/doc/aswi/specifikace_pozadavku/doc.tex
+++ b/doc/aswi/specifikace_pozadavku/doc.tex
@@ -26,25 +26,25 @@
 \begin{document}
 
 \begin{titlepage}
-\title{
-\vspace{-4cm}\hspace{-10cm}
-\includegraphics[width=8cm]{assets/logo.png} \\
-\vspace{5cm}
-\begingroup
-\setstretch{4}\fontsize{30}{10}\selectfont\fontdimen2\font=0.8ex
-\parbox{13.3cm}{
-    \centering{\textbf{ASWI - Neurorehablitační systém BrainIn}\\
-    \fontsize{24}{10}\selectfont\centering{{Dokument specifikace požadavků}}
-}}
-\endgroup}
-\date{}
-\author{}
-\maketitle \thispagestyle{empty}
-\vspace{3cm}
-\hspace{0cm}\parbox[b][5cm][b]{8cm}{{\setstretch{1.5}
-Autor: Jan Hereš\\
-Datum: 26.02.2023\\
-Poslední úprava: \today}}
+    \title{
+        \vspace{-4cm}\hspace{-10cm}
+        \includegraphics[width=8cm]{assets/logo.png} \\
+        \vspace{5cm}
+        \begingroup
+        \setstretch{4}\fontsize{30}{10}\selectfont\fontdimen2\font=0.8ex
+        \parbox{13.3cm}{
+            \centering{\textbf{ASWI - Neurorehablitační systém BrainIn}\\
+                \fontsize{24}{10}\selectfont\centering{{Dokument specifikace požadavků}}
+            }}
+        \endgroup}
+    \date{}
+    \author{}
+    \maketitle \thispagestyle{empty}
+    \vspace{3cm}
+    \hspace{0cm}\parbox[b][5cm][b]{8cm}{{\setstretch{1.5}
+                Autor: Jan Hereš\\
+                Datum: 26.02.2023\\
+                Poslední úprava: \today}}
 \end{titlepage}
 \newpage
 
@@ -54,7 +54,7 @@ Poslední úprava: \today}}
 
 \section{Úvod}
 \subsection{Základní popis projektu}
-\paragraph{} Projekt BrainIn vznikl na Fakultě aplikovaných věd Západočeské univerzity v Plzni. 
+\paragraph{} Projekt BrainIn vznikl na Fakultě aplikovaných věd Západočeské univerzity v Plzni.
 Jedná o veřejně dostupnou webovou aplikaci (\textit{\href{https://www.brainin.kiv.zcu.cz}{odkaz zde}}), která slouží zejména pro pacienty trpící poškozením mozku (případně některých jeho center).
 Pro jejich návrat do \textit{běžného} života je nutné, aby tito pacienti postupně začali mozek trénovat, čímž se dají zásadně minimalizovat následky skutečností, které k tomuto poškození vedly.
 V rámci této aplikace je možné vytvářet různá cvičení na základě předem připravených šablon, vždy uzpůsobené konkrétnímu pacientovi, na kterých následně může trénovat i bez přítomnosti terapeuta, což vede ke značnému usnadnění práce.
@@ -65,26 +65,53 @@ V rámci této aplikace je možné vytvářet různá cvičení na základě př
     \caption[]{Schéma architektury aplikace. Převzato z diplmové práce Ing. Pavla Skaly (2019)}
 \end{figure}
 
-\paragraph{} Samotná aplikace se pak skládá z webového \textit{frontednu} a \textit{Unity backendu}. 
-Webová část tedy slouží pouze jako rozhraní pro pacienty a terapeuty. 
-,,Backend'' část je tedy hlavním výpočetním serverem, který v rámci \textit{Unity} platformy obsahuje šablony pro tvorbu nových cvičení, jednotlivá cvičení, jejichž vykreslování probíhá pomocí této platformy. 
-O komunikaci mezi webovým rozhraním a aplikačním serverem se starají \textit{JavaScript} skripty běžící na pozadí aplikace.  
+\paragraph{} Samotná aplikace se pak skládá z webového \textit{frontednu} a \textit{Unity backendu}.
+Webová část tedy slouží pouze jako rozhraní pro pacienty a terapeuty.
+,,Backend'' část je tedy hlavním výpočetním serverem, který v rámci \textit{Unity} platformy obsahuje šablony pro tvorbu nových cvičení, jednotlivá cvičení, jejichž vykreslování probíhá pomocí této platformy.
+O komunikaci mezi webovým rozhraním a aplikačním serverem se starají \textit{JavaScript} skripty běžící na pozadí aplikace.
 
 
 \subsection{Analýza z předmětu KIV/SAR}
-\paragraph{} Tým \textit{Samočiníci} v rámci předmětu KIV/SAR vytvořil analýzu celého projektu, jejichž výstup byl shrnut do jednoho dokumentu, který byl následně poskytnut vývojovému týmu Brainstorm (bude dostupný na repozitáři vývojového týmu). 
+\paragraph{} Tým \textit{Samočiníci} v rámci předmětu KIV/SAR vytvořil analýzu celého projektu, jejichž výstup byl shrnut do jednoho dokumentu, který byl následně poskytnut vývojovému týmu Brainstorm (bude dostupný na repozitáři vývojového týmu).
 Tato analýza byla týmem Brainstorm prozkoumána a poskytla mu základní údaje o možnostech vylepšení aplikace (nicméně většina z nich byla již vyřešena).
 
 \section{Specifikace požadavků}
 \paragraph{} Na základě obdržené analýzy aplikace a schůzek s vedoucím projektu (doc. Ing. Roman Mouček, Ph.D.) byly dohodnuty následující požadavky
 
 \subsection{Upgrade verze Unity}
-\paragraph{} Jedním z nejdůležitější úkolů bude přechod na novější verzi platformy Unity. 
-Důvodem pro tento krok je zpřístupnění nových metod a struktur, které by měly pomoci výkonostní náročnosti celé aplikace. 
-V rámci tohoto kroku bude nejspíše nutná komplexnější úprava zdrojového kódu, vzhledem k faktu, že u nové verze Unity nemusí být veškeré použité metody a struktury dostupné. 
+\paragraph{} Jedním z nejdůležitější úkolů bude přechod na novější verzi platformy Unity.
+Důvodem pro tento krok je zpřístupnění nových metod a struktur, které by měly pomoci výkonostní náročnosti celé aplikace.
+V rámci tohoto kroku bude nejspíše nutná komplexnější úprava zdrojového kódu, vzhledem k faktu, že u nové verze Unity nemusí být veškeré použité metody a struktury dostupné.
+
+\subsection{Převod cvičení do nového formátu}
+\paragraph{} V rámci samotných cvičení došlo ke změně jejich struktury pro lepší nasazení v probíhajícím vývoji mobilní verze této aplikace.
+Pro tento účel byla vytvořena Michalem Horkým nová šablona, dle které by měly být stávající existující cvičení ,,převedena''.
+Tento bude zřejmě časově náročnější, jelikož se jedná o zhruba 15 šablon.
+Jejich konkrétní seznam je uveden níže:
+
+\begin{itemize}
+    \item 525
+    \item Abt
+    \item Calc
+    \item Double\_Trouble
+    \item Gongo
+    \item Grid
+    \item Harvest
+    \item Labyrint
+    \item Lager
+    \item Lampen
+    \item Orion
+    \item Paare
+    \item Pyra
+    \item Saetze
+    \item Sudoku
+    \item Symetric
+    \item Testtubes
+    \item Vertex\_Join
+\end{itemize}
 
 \subsection{Řešení výkonostních problémů aplikace}
-\paragraph{} V návaznosti na předchozí bod, který umožní řešení některých problémů, je stále potřeba vyřešit problémy, které analyzovat tým z KIV/SAR. 
+\paragraph{} V návaznosti na předchozí bod, který umožní řešení některých problémů, je stále potřeba vyřešit problémy, které analyzovat tým z KIV/SAR.
 Zejména se jedná o problém, kdy v některých případech, při zobrazování výsledků z daného cvičení, na uživatele vyskočí chyba \textit{HTTP 504: Gateway Timeout}.
 
 \subsection{Vytvoření projektové dokumentace}
@@ -93,7 +120,7 @@ Je tedy vhodné, aby vznikla projektová dokumentace, v rámci které budou spec
 
 \newpage
 \subsection{Zavedení interních vývojových procesů pro snadnější budoucí vývoj aplikace}
-\paragraph{} Vývoj aplikace byl již od začátku soustředěn zejména na samotný vývoj a implementaci, nicméně konkrétní procesy vývoje nejsou z pohledu Týmu Brainstorm a vedoucího projektu optimální, vzhledem k jeho velikosti. 
+\paragraph{} Vývoj aplikace byl již od začátku soustředěn zejména na samotný vývoj a implementaci, nicméně konkrétní procesy vývoje nejsou z pohledu Týmu Brainstorm a vedoucího projektu optimální, vzhledem k jeho velikosti.
 Bylo tedy dohodnuto, že vývojový tým vytvoří a zavede praktičtější způsoby vedení vývoje na repozitáři a vytvoří ,,interní směrnice'', které budou i nadále využitelné pro další vývojáře, kteří se budou na tomto projektu podílet.
 
 % \cite{Example}